# --------------------------------------------------------
#
# Table structure for table 'departments'
#

DROP DATABASE tutorialdb;
CREATE DATABASE tutorialdb;
USE tutorialdb;


CREATE TABLE departments (
   departmentID mediumint(9) NOT NULL auto_increment,
   departmentName char(80) NOT NULL,
   PRIMARY KEY (departmentID)
) TYPE = InnoDB;

#
# Dumping data for table 'departments'
#

INSERT INTO departments VALUES( '1', 'Product Development');
INSERT INTO departments VALUES( '2', 'QA');
INSERT INTO departments VALUES( '3', 'Documentation');
INSERT INTO departments VALUES( '4', 'Support');
INSERT INTO departments VALUES( '5', 'Consulting');
INSERT INTO departments VALUES( '6', 'Marketing');
INSERT INTO departments VALUES( '7', 'Human resources');
INSERT INTO departments VALUES( '8', 'Finance');
INSERT INTO departments VALUES( '9', 'Sales');


# --------------------------------------------------------
#
# Table structure for table 'employees'
#

CREATE TABLE employees (
   employeeID mediumint(9) NOT NULL auto_increment,
   firstName char(15) NOT NULL,
   lastName char(25) NOT NULL,
   hiredate date NOT NULL,
   salary decimal(9,2) NOT NULL,
   departmentID mediumint(9) NOT NULL,
   PRIMARY KEY (employeeID),
   INDEX DepartmentID (departmentID),
	 FOREIGN KEY (departmentID) REFERENCES departments(departmentID)
   
) TYPE = InnoDB;

#
# Dumping data for table 'employees'
#

INSERT INTO employees VALUES( '1', 'Duke', 'Ellington', '20020104', '50000.00', '1');
INSERT INTO employees VALUES( '2', 'Fats', 'Waller',  '19970504', '65000.00','2');
INSERT INTO employees VALUES( '3', 'Charlie', 'Parker',  '19990719', '70000.00','3');
INSERT INTO employees VALUES( '4', 'John', 'Coltrane',  '20011231', '25000.00','3');
INSERT INTO employees VALUES( '5', 'Miles', 'Davis',  '20020305', '35000.00','3');
INSERT INTO employees VALUES( '6', 'Bill', 'Evans',  '20021111', '82000.00','3');
INSERT INTO employees VALUES( '10', 'Django', 'Reinhardt',  '19960104', '53000.00','3');
INSERT INTO employees VALUES( '9', 'Stephane', 'Grapelli',  '19980604', '45000.00','8');
INSERT INTO employees VALUES( '11', 'Paul', 'Chambers',  '19990107', '52000.00','9');
INSERT INTO employees VALUES( '12', 'Thelonius', 'Monk',  '20020904', '57000.00','1');
INSERT INTO employees VALUES( '13', 'Bud', 'Powell',  '20000404', '55000.00','2');
INSERT INTO employees VALUES( '14', 'Wes', 'Montgomery',  '20020804', '58000.00','8');
INSERT INTO employees VALUES( '15', 'Charlie', 'Mingus',  '20030509', '75000.00','9');
INSERT INTO employees VALUES( '16', 'Wynton', 'Kelly',  '20021203', '37000.00','8');
INSERT INTO employees VALUES( '17', 'Dizzy', 'Gillespie',  '20030206', '52000.00','9');

